#
# spec file for package mingw64-gmp
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           mingw64-gmp
Version:        6.1.1
Release:        3.13
Summary:        The GNU MP Library
License:        GPL-2.0-or-later AND LGPL-3.0-or-later
Group:          Development/Libraries/C and C++
URL:            https://gmplib.org/
Source:         https://gmplib.org/download/gmp/gmp-%{version}.tar.xz
Source1000:     %{name}-rpmlintrc
BuildRequires:  m4
BuildRequires:  mingw64-cross-gcc
BuildRequires:  mingw64-cross-gcc-c++
BuildRequires:  xz
#!BuildIgnore:  post-build-checks
BuildArch:      noarch
%{_mingw64_package_header_debug}

%description
GMP is a free library for arbitrary precision arithmetic, operating on signed integers,
rational numbers, and floating point numbers.

%package -n mingw64-libgmp10
Summary:        The GNU MP Library
Group:          System/Libraries
Obsoletes:      mingw64-libgmp
Provides:       mingw64-libgmp

%description -n mingw64-libgmp10
GMP is a free library for arbitrary precision arithmetic, operating on signed integers,
rational numbers, and floating point numbers.

%package -n mingw64-libgmpxx4
Summary:        C++ bindings for the GNU MP Library
Group:          System/Libraries
Obsoletes:      mingw64-libgmpxx
Provides:       mingw64-libgmpxx

%description -n mingw64-libgmpxx4
GMP is a free library for arbitrary precision arithmetic, operating on signed integers,
rational numbers, and floating point numbers.  C++ bindings for the GNU MP Library.

%package devel
Summary:        Include Files and Libraries for Development with the GNU MP Library
Group:          Development/Libraries/C and C++
Requires:       mingw64-libgmp10 = %{version}
Requires:       mingw64-libgmpxx = %{version}

%description devel
These libraries are needed to develop programs which calculate with huge numbers (integer and floating point).

%_mingw64_debug_package

%prep
%setup -q -n gmp-%{version}

%build
echo "lt_cv_deplibs_check_method='pass_all'" >>%{_mingw64_cache}
%{_mingw64_configure} \
	  --enable-shared \
      --disable-static \
	  --enable-cxx

%{_mingw64_make} %{?_smp_mflags} || %{_mingw64_make}

%install
%make_install

%files -n mingw64-libgmp10
%defattr(755,root,root,755)
%{_mingw64_bindir}/libgmp-10.dll

%files -n mingw64-libgmpxx4
%defattr(755,root,root,755)
%{_mingw64_bindir}/libgmpxx-4.dll

%files devel
%defattr(644,root,root,755)
%{_mingw64_libdir}/libgmp.dll.a
%{_mingw64_libdir}/libgmpxx.dll.a
%{_mingw64_includedir}/gmp.h
%{_mingw64_includedir}/gmpxx.h
%{_mingw64_infodir}
%exclude %{_mingw64_infodir}/dir*

%changelog
* Tue Sep 14 2021 Fridrich Strba <fstrba@suse.com>
- Add rpmlintrc file to avoid build failures due to windows binaries
  being in a noarch package
* Tue Jan 26 2021 Ralf Habacker <ralf.habacker@freenet.de>
- Add missing dependency to runtime package for development
  package to be in sync with native package
* Wed Nov 20 2019 Ludwig Nussel <lnussel@suse.de>
- inital package for Factory submission
